<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron-oidc-client.secure-deployment.credential">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="algorithm,client-key-alias,client-key-password,client-keystore-file,client-keystore-password,client-keystore-type,secret,token-timeout"/>
        <elem name="addr-params" value="subsystem,secure-deployment,credential"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron-oidc-client"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron-oidc-client.secure-deployment"/>
        <ref feature="subsystem.elytron-oidc-client"/>
    </refs>
    <params>
        <param name="client-key-password" nillable="true"/>
        <param name="client-keystore-file" nillable="true"/>
        <param name="client-keystore-password" nillable="true"/>
        <param name="secure-deployment" feature-id="true"/>
        <param name="credential" feature-id="true"/>
        <param name="client-key-alias" nillable="true"/>
        <param name="subsystem" feature-id="true" default="elytron-oidc-client"/>
        <param name="secret" nillable="true"/>
        <param name="token-timeout" nillable="true"/>
        <param name="algorithm" nillable="true"/>
        <param name="client-keystore-type" nillable="true"/>
    </params>
</feature-spec>